Name:		sirius
Version:	0.8.0
Release:	11%{?dist}

Summary:	Reversi game for Gnome
Group:		Amusements/Games
License:	GPLv2+
URL:		http://sirius.bitvis.nu/
Source0:	http://sirius.bitvis.nu/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-docs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	libgnomeui-devel
BuildRequires:	perl(XML::Parser)

%description
Sirius is a program for playing the game of reversi. The program includes an AI
(Artificial Intelligence) opponent which plays at a very challenging level and
is actually quite hard to beat. The AI opponent's strength can therefore be
adjusted in several ways to give you a suitable opponent.

The AI opponent uses a plain alpha-beta search with hashing to figure out which
move to make. To be able to tell a good position from a bad one, it uses a
pattern based evaluation function. The pattern used is the 9 discs surrounding
each corner and the 8 discs creating the edge of the board. The evaluation
function also takes mobility, potential mobility and parity into count. For the
initial 9 moves the AI opponent optionally uses a simple opening book. During
midgame it searches and evaluates about 200.000 nodes per second on a PIII
750 MHz, in the endgame this number is significantly higher due to more
transpositions and a less expensive evaluation function.


%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original	\
	--dir %{buildroot}%{_datadir}/applications	\
	--add-category Game				\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-sirius.desktop


%changelog
* Fri Oct 05 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.8.0-11
- Updated specfile

* Wed Oct 03 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.8.0-10
- Added a patch
- Updated specfile
- Bump release

* Sat Sep 29 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.8.0-9
- Removed the patch
- Minor fixes in desktop entry

* Thu Sep 20 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.8.0-8
- Updated License tag to GPLv2+
- Fixed Build Require to perl(XML::Parser)
- Added INSTALL option in make install
- Removed CFLAGS option from make

* Mon Sep 17 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.8.0-7
- Added perl-XML-parser as a build require

* Fri Sep 07 2007 Arindam Ghosh <makghosh AT gmail DOT com> - 0.8.0-6
- Specfile cleanup/Bump Release

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.8.0-5
- Rebuild on all arches

